function verifyDiskSpace(dirPath, spaceRequired)
{
 var spaceAvailable;
 spaceAvailable = fileGetDiskSpaceAvailable(dirPath);
 spaceAvailable = parseInt(spaceAvailable / 1024);
 if(spaceAvailable < spaceRequired)
 {
 logComment("Insufficient disk space: " + dirPath);
 logComment("  required : " + spaceRequired + " K");
 logComment("  available: " + spaceAvailable + " K");
 return(false);
 }
 return(true);
}
var srDest = 262;
var err;
var fProgram;


// OS type detection
// which platform?
var platformStr = new String(Install.platform);
var platformNode;
if (!platformStr.search(/^Macintosh/))
    platformNode = 'mac';
else if (!platformStr.search(/^Win/))
    platformNode = 'win';
else
    platformNode = 'unix';

logComment("initInstall: platformNode=" + platformNode);
// end
// end - OS type detection

// --- LOCALIZATION NOTE: translate only these ---
var prettyName = "Asturianu (Asturies)";
var langcode = "ast";
var regioncode = "AS";
var chromeNode = langcode + "-" + regioncode;
// --- END LOCALIZABLE RESOURCES ---
var regName    = "locales/mozilla/" + chromeNode;
var chromeName = chromeNode + ".jar";
var regionFile = regioncode + ".jar";
var platformName = langcode + "-" + platformNode + ".jar";
var localeName = "locale/" + chromeNode + "/";
var regionName = "locale/" + regioncode + "/";

err = initInstall(prettyName, regName, "5.0.0.2001050521");
logComment("initInstall: " + err);

fProgram = getFolder("Program");
logComment("fProgram: " + fProgram);

if (verifyDiskSpace(fProgram, srDest))
{
    err = addDirectory("",
                       "5.0.0.2001050521",
                       "bin",
                       fProgram,
                       "",
                       true);
    logComment("addDirectory() returned: " + err);

    // register chrome
    var cf = getFolder("Chrome");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "global/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "communicator/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "messenger/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "editor/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "navigator/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "necko/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "cookie/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "wallet/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, platformName), localeName + "global-platform/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, platformName), localeName + "communicator-platform/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, platformName), localeName + "navigator-platform/");

    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, regionFile), localeName + "global-region/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, regionFile), localeName + "communicator-region/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, regionFile), localeName + "messenger-region/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, regionFile), localeName + "editor-region/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, regionFile), localeName + "navigator-region/");

    // should be the right ones, but cause extra line to switch
    // registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, regionFile), regionName + "global-region/");
    // registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, regionFile), regionName + "communicator-region/");
    // registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, regionFile), regionName + "messenger-region/");
    // registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, regionFile), regionName + "editor-region/");
    // registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, regionFile), regionName + "navigator-region/");

    if (err == SUCCESS)
    {
        err = performInstall(); 
        logComment("performInstall() returned: " + err);
        alert("Termin la instalacin. Reanicie'l navegador y podr escoyer esta llingua al travs del Men View/Ver.");
    }
    else
    {
        cancelInstall(err);
        logComment("cancelInstall due to error: " + err);
        alert("Installation canceled. Error code was " + err);
    }
}
else
    cancelInstall(INSUFFICIENT_DISK_SPACE);






